# -------------------------------------------------------------------------------------------------------------------- #

# Copyright © 2021-2023 Peter Mathiasson
# SPDX-License-Identifier: ISC

# -------------------------------------------------------------------------------------------------------------------- #

from . import cli
from .. import init_radstar, list_apps

# -------------------------------------------------------------------------------------------------------------------- #

@cli.command(hidden=True)
def setup_apps():

    init_radstar(no_init=True)

    for app in list_apps():
        if (mod := app.import_module('setup')) is not None:
            mod.setup()

# -------------------------------------------------------------------------------------------------------------------- #
